Subject: Re: [RFC net-next 00/13] net: page_pool: add netlink-based introspection

From: Jakub Kicinski <[email-masked]>
Date: Thu, 17 Aug 2023 17:13:03 -0700

On Thu, 17 Aug 2023 14:21:26 -0700 Mina Almasry wrote:
> - rx-queue GET API fits in nicely with what you described yesterday
> [1]. At the moment I'm a bit unsure because the SET api you described
> yesterday sounded per-rx-queue to me. But the GET api here is
> per-page-pool based. Maybe the distinction doesn't matter? Maybe
> you're thinking they're unrelated APIs?

Right, they aren't unrelated but I do somehow prefer the more flexible
model where each object type has its own API and the objects can refer
to each other.

I think there's too much of a risk that the mapping between page pools
to queues will become n:m and then having them tied together will be 
a problem.